Sign in

Am I the only one having problems with the new version 0.41.1 for Mac Intel?

  • This topic has 11 replies, 4 voices, and was last updated 3 weeks, 1 day ago by .
Viewing 12 posts - 1 through 12 (of 12 total)
  • Author
    Posts
  • #8676
    Avatar photoAndy

    version 0.41.0 works fine. Version 41.1 no longer opens at all. Thanks

    #8677
    Avatar photoTomasz Dziuda

    Hi,

    We did not saw such issues during our tests – can you try to redownload the package and reinstall it?

    I have just downloaded it and the Intel build works even on my M1 laptop.

    --
    Do you appreciate the support you've received today? If so, consider donating to the Publii team by clicking here; we'll be sure to use your donation to make Publii even better!

    #8684
    Avatar photoitips3727

    No problems here using the latest Publiii (Version: 0.41.1 (build 15919) using macOS Ventura 13.0 on Intel.

    #8699
    Avatar photoAndy

    Hi,

    First, thank you for the feedback.

    I tried to reinstall several times but still the same problem. The application does not open, I have a “crash report” to send to Apple which appears directly.

    Where can I have logs to help me?

    Thanks

     

    PS : macOS Catalina 10.15.7

    #8702
    Avatar photoMaite Web

    I am having the same problem. Also tried to reinstall several times, but it crashes right away. I now have reinstalled the previous version and that still works fine.

    Also macOS Catalina 10.15.7 here, maybe there is an issue with this macOS version?

    #8703
    Avatar photoAndy

    I am having the same problem. Also tried to reinstall several times, but it crashes right away. I now have reinstalled the previous version and that still works fine.

    Also macOS Catalina 10.15.7 here, maybe there is an issue with this macOS version?

    Thanks ! Good to know that i’m not alone đŸ™‚

    #8712
    Avatar photoTomasz Dziuda

    Hmm, I afraid that it can be connected with Electron 19 or some dependency update made in v.0.41. Unfortunately I have only mac OS 11.*, 12.* to test at this moment :/

    The only thing which I can recommend at this moment is using previous version, till the mystery will be solved.

    --
    Do you appreciate the support you've received today? If so, consider donating to the Publii team by clicking here; we'll be sure to use your donation to make Publii even better!

    #8736
    Avatar photoTomasz Dziuda

    Hi again,

    I was able to check the issue on computer with macOS Catalina and indeed  the problem exists – most probably it is caused by sharp library according to the error description which I have found in the report to Apple. I will try to solve this issue in v.0.41.2

    --
    Do you appreciate the support you've received today? If so, consider donating to the Publii team by clicking here; we'll be sure to use your donation to make Publii even better!

    #8738
    Avatar photoMaite Web

    That would be awesome! Thank you!

    #8739
    Avatar photoTomasz Dziuda

    I have also opened a thread on sharp github repository: https://github.com/lovell/sharp/issues/3459

    --
    Do you appreciate the support you've received today? If so, consider donating to the Publii team by clicking here; we'll be sure to use your donation to make Publii even better!

    #8740
    Avatar photoTomasz Dziuda

    Ok, as I see we must wait for sharp new version: https://github.com/lovell/sharp-libvips/pull/164 – then we will release Publii v.0.41.2 with patched dependency.

    --
    Do you appreciate the support you've received today? If so, consider donating to the Publii team by clicking here; we'll be sure to use your donation to make Publii even better!

    #8741
    Avatar photoAndy

    Hi again,

    I was able to check the issue on computer with macOS Catalina and indeed the problem exists – most probably it is caused by sharp library according to the error description which I have found in the report to Apple. I will try to solve this issue in v.0.41.2

    Thank you very much for searching for our problem very deeply!
    I hope it’s ok for the next version, don’t want to buy a computer right now :p

Viewing 12 posts - 1 through 12 (of 12 total)
  • You must be logged in to reply to this topic.